import { AfterContentInit, ApplicationRef, ComponentFactoryResolver, ElementRef, EventEmitter, Injector, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { NgxVirtualKeyboardService } from './../services/ngx-virtual-keyboard.service';
import { KeyboardLayout } from './../model/layouts';
export declare class NgxVirtualKeyboardDirective implements AfterContentInit, OnChanges, OnDestroy {
    private _elRef;
    private _appRef;
    private _compiler;
    private _injector;
    private _vk;
    private componentFactoryResolver;
    isActive: boolean;
    layout: KeyboardLayout | string;
    isDisabled: boolean;
    ngModelChange: EventEmitter<{}>;
    private isOpened;
    private isMouseEvent;
    private componentRef;
    private location;
    private componentRootNode;
    private type;
    constructor(_elRef: ElementRef, _appRef: ApplicationRef, _compiler: ComponentFactoryResolver, _injector: Injector, _vk: NgxVirtualKeyboardService, componentFactoryResolver: ComponentFactoryResolver);
    ngAfterContentInit(): void;
    onClickInput(): void;
    onFocus(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private loadComponent();
    private getRootViewContainer();
    private getRootViewContainerNode();
    private getComponentRootNode(componentRef);
    private openKeyboard();
    private getLayout();
    private clean();
    private findPos(obj);
    private scrollTo();
}
